Index: main/http.c
===================================================================
--- main/http.c	(revision 300434)
+++ main/http.c	(working copy)
@@ -268,7 +268,7 @@
 
 	ast_str_set(&http_header, 0, "Content-type: %s\r\n"
 		"ETag: %s\r\n"
-		"Last-Modified: %s",
+		"Last-Modified: %s\r\n",
 		mtype,
 		etag,
 		timebuf);
@@ -359,7 +359,7 @@
 };
 
 
-/* send http/1.1 responce */
+/* send http/1.1 response */
 /* free content variable and close socket*/
 void ast_http_send(struct ast_tcptls_session_instance *ser,
 	enum ast_http_method method, int status_code, const char *status_title,
@@ -377,7 +377,7 @@
 
 	ast_strftime(timebuf, sizeof(timebuf), "%a, %d %b %Y %H:%M:%S GMT", ast_localtime(&now, &tm, "GMT"));
 
-	/* calc conetnt length */
+	/* calc content length */
 	if (out) {
 		content_length += strlen(ast_str_buffer(out));
 	}
@@ -394,7 +394,8 @@
 		"Connection: close\r\n"
 		"%s"
 		"Content-Length: %d\r\n"
-		"%s\r\n\r\n",
+		"%s"
+		"\r\n",
 		status_code, status_title ? status_title : "OK",
 		ast_get_version(),
 		timebuf,
@@ -449,7 +450,7 @@
 
 	ast_str_set(&http_headers, 0,
 		"WWW-authenticate: Digest algorithm=MD5, realm=\"%s\", nonce=\"%08lx\", qop=\"auth\", opaque=\"%08lx\"%s\r\n"
-		"Content-type: text/html",
+		"Content-type: text/html\r\n",
 		realm ? realm : "Asterisk",
 		nonce,
 		opaque,
@@ -471,7 +472,7 @@
 	return;
 }
 
-/* send http error responce and close socket*/
+/* send http error response and close socket*/
 void ast_http_error(struct ast_tcptls_session_instance *ser, int status_code, const char *status_title, const char *text)
 {
 	struct ast_str *http_headers = ast_str_create(40);
@@ -483,7 +484,7 @@
 		return;
 	}
 
-	ast_str_set(&http_headers, 0, "Content-type: text/html");
+	ast_str_set(&http_headers, 0, "Content-type: text/html\r\n");
 
 	ast_str_set(&out, 0,
 		"<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\r\n"
